<app-navigation [mainContent]="mainTemplate"></app-navigation>

<ng-template #mainTemplate class="profile-container" style="font-size: 21px">
  <div *ngIf="user.montant_en_attente_a_payer != 0 && user.montant_en_attente_a_payer != null" style="font-weight: bold; color: red; text-align: center"><mat-icon class="material-icons-outlined" style="cursor: pointer; padding: 5px; margin: 5px; color: white; background-color: red">report_problem</mat-icon> Tu as des dettes en attente, vérifie tes mails stp. <mat-icon class="material-icons-outlined" style="cursor: pointer; padding: 5px; margin: 5px; color: white; background-color: red">report_problem</mat-icon></div>
  <div style="margin-top: 5px; text-align: center; font-size: 200%; font-weight: bold">MES INFOS</div>
  <div style="color:red; font-weight: bold; text-align: center; margin-bottom: 10px; margin-top: 10px;">Le séjour devrait coûter 250€ la semaine, 300€ avec 2 covoits partant d'Aix-Marseille.</div>
  <div style="color:red; text-align: center; margin-top: 10px;">Les paiements se font uniquement via Lydia.</div>
  <div style="text-align: center; margin-bottom: 40px; margin-top: 10px; font-style: italic">Pour info 1km = {{coeff_voiture.toString().replace('.', ',')}}€</div>
  <div class="form__container">
    <span class="form__libelle">Ce que je dois (<a (click)="display_details = (display_details == 'add') ? 'remove' : 'add'" style="cursor: pointer; vertical-align: bottom; color: #0000EE !important">details</a>)</span>
    <span class="form__field">{{user.montant_a_demander || 0}}€</span>
    <mat-divider></mat-divider>
  </div>
  <div *ngIf="display_details == 'remove'" style="margin-bottom: 50px">
    <div style="font-size: 100%; text-align: center; font-weight: bold; margin-bottom: 5px;">Détails</div>
    <div class="form__container">
      <span class="form__libelle">Prix du gîte</span>
      <span class="form__field">{{user.gite_montant.toString().replace('.', ',') || 0}}€</span>
      <mat-divider></mat-divider>
    </div>
    <div class="form__container">
      <span class="form__libelle">Prix des courses</span>
      <span class="form__field">{{user.achats_montant.toString().replace('.', ',') || 0}}€</span>
      <mat-divider></mat-divider>
    </div>
    <div style="font-size: 80%; text-align: center; font-weight: bold; margin-bottom: 5px">Prix des voitures</div>
    <div class="form__container">
      <span class="form__libelle">Prix de l'essence sur place</span>
      <span class="form__field">{{user.essence_montant.toString().replace('.', ',') || 0}}€</span>
      <mat-divider></mat-divider>
    </div>
    <div *ngIf="user.participation_covoit_aller == 1" class="form__container">
      <span class="form__libelle">Prix du covoit aller</span>
      <span class="form__field">{{user.covoit_aller_montant.toString().replace('.', ',') || 0}}€</span>
      <mat-divider></mat-divider>
    </div>
    <div *ngIf="user.participation_covoit_retour == 1" class="form__container">
      <span class="form__libelle">Prix du covoit retour</span>
      <span class="form__field">{{user.covoit_retour_montant.toString().replace('.', ',') || 0}}€</span>
      <mat-divider></mat-divider>
    </div>
    <div *ngIf="user.conducteur == 1" style="font-size: 80%; text-align: center; font-weight: bold; margin-bottom: 5px">Coût de ma voiture</div>
    <div *ngIf="user.conducteur == 1" class="form__container">
      <span class="form__libelle">Coût de ma voiture sur place</span>
      <span class="form__field">{{user.essence_cout.toString().replace('.', ',') || 0}}€</span>
      <mat-divider></mat-divider>
    </div>
    <div *ngIf="user.participation_covoit_aller == 1 && user.conducteur == 1" class="form__container">
      <span class="form__libelle">Coût de ma voiture pour le covoit aller</span>
      <span class="form__field">{{user.covoit_aller_cout.toString().replace('.', ',') || 0}}€</span>
      <mat-divider></mat-divider>
    </div>
    <div *ngIf="user.participation_covoit_retour == 1 && user.conducteur == 1" class="form__container">
      <span class="form__libelle">Coût de ma voiture pour le covoit retour</span>
      <span class="form__field">{{user.covoit_retour_cout.toString().replace('.', ',') || 0}}€</span>
      <mat-divider></mat-divider>
    </div>
<!--    <div style="font-size: 100%; text-align: center; font-weight: bold; margin-bottom: 5px">Fin détails</div>-->
  </div>
  <div class="form__container" *ngIf="user.paiements != undefined && user.paiements.length != 0">
    <span class="form__libelle">Historique de mes paiements </span>
    <span class="form__field">
      <span *ngFor="let paiement of user.paiements; last as isLast" style="margin-right: 10px">
        <span *ngIf="paiement.paye == 1" style="color: green">{{paiement.montant}}€ </span>
        <span *ngIf="paiement.paye == 0 && paiement.demande == 1" style="color: red">
          {{paiement.montant}}€ (Vérifie tes mails !)
        </span>
        <span *ngIf="!isLast">,</span>
      </span>
    </span>
    <mat-divider></mat-divider>
  </div>
  <div class="form__container" *ngIf="user.montant_en_attente != null && user.montant_en_attente != 0">
    <span class="form__libelle">Montant restant à payer </span>
    <span class="form__field">{{user.montant_en_attente || 0}}€</span>
    <mat-divider></mat-divider>
  </div>
  <div class="form__container" *ngIf="user.montant_reel_du_sejour != null && user.montant_reel_du_sejour != 0">
    <span class="form__libelle">Montant réel du séjour </span>
    <span class="form__field">{{user.montant_reel_du_sejour || 0}}€</span>
    <mat-divider></mat-divider>
  </div>
  <div class="form__container">
    <span class="form__libelle">Préférences alimentaires </span>
    <span class="form__field"><a href="{{lien_excel}}" target="_blank">Clique ici</a></span>
    <mat-divider></mat-divider>
  </div>
  <div class="form__container">
    <span class="form__libelle">Charte du séjour </span>
    <span class="form__field"><a href="{{lien_charte}}" target="_blank">Clique ici</a></span>
    <mat-divider></mat-divider>
  </div>

  <div *ngIf="user.participation_covoit_aller == 1 || (user.participation_covoit_aller == 0 && participants_aller_non.length > 1)" style="font-size: 150%; text-align: center; font-weight: bold; margin-bottom: 5px; margin-top: 20px;">Covoit aller</div>

  <div class="form__container" *ngIf="user.participation_covoit_aller == 1">
    <span class="form__libelle">Je fais le covoit aller avec </span>
    <span class="form__field">
      <span *ngFor="let participant of participants_aller_short; last as isLast">
        <span *ngIf="participant.id != user.id">
          <span style="font-weight: bold">{{participant.nom}}</span> (<span style="font-style: italic">{{participant.arrivee_lieu}}</span><span *ngIf="participant.conducteur == 1">, <span style="color: green">conducteur</span></span> )<span *ngIf="!isLast">, </span>
        </span>
      </span>
    </span>
    <mat-divider></mat-divider>
  </div>

  <div class="form__container" *ngIf="user.participation_covoit_aller == 0 && participants_aller_non.length > 1">
    <span class="form__libelle">Je peux faire le covoit aller avec </span>
    <span class="form__field">
      <span *ngFor="let participant of participants_aller_non_short; last as isLast">
        <span *ngIf="participant.id != user.id">
          <span style="font-weight: bold">{{participant.nom}}</span> (<span style="font-style: italic">{{participant.arrivee_lieu}}</span> )<span *ngIf="!isLast">, </span>
        </span>
      </span>
    </span>
    <mat-divider></mat-divider>
  </div>

  <div class="form__container" *ngIf="user.participation_covoit_aller == 1">
    <span class="form__libelle" [class.red-color]='participants_aller.length > places_aller' [class.green-color]='participants_aller.length <= places_aller'>Places de voiture pour le covoit aller </span>
    <span class="form__field" [class.red-color]='participants_aller.length > places_aller' [class.green-color]='participants_aller.length <= places_aller'>
      {{places_aller}} places
      <span *ngIf="participants_aller.length > places_aller">
          ({{participants_aller.length}} participants)
      </span>
    </span>
    <mat-divider></mat-divider>
  </div>

  <div *ngIf="user.participation_covoit_retour == 1 || (user.participation_covoit_retour == 0 && participants_retour_non.length > 1)" style="font-size: 150%; text-align: center; font-weight: bold; margin-bottom: 5px; margin-top: 20px;">Covoit retour</div>
  <div class="form__container" *ngIf="user.participation_covoit_retour == 1">
    <span class="form__libelle">Je fais le covoit retour avec </span>
    <span class="form__field">
      <span *ngFor="let participant of participants_retour_short; last as isLast">
        <span *ngIf="participant.id != user.id">
          <span style="font-weight: bold">{{participant.nom}}</span> (<span style="font-style: italic">{{participant.depart_lieu}}</span><span *ngIf="participant.conducteur == 1">, <span style="color: green">conducteur</span></span> )<span *ngIf="!isLast">, </span>
        </span>
      </span>
    </span>
    <mat-divider></mat-divider>
  </div>

  <div class="form__container" *ngIf="user.participation_covoit_retour == 0 && participants_retour_non.length > 1">
    <span class="form__libelle">Je peux faire le covoit retour avec </span>
    <span class="form__field">
      <span *ngFor="let participant of participants_retour_non_short; last as isLast">
        <span *ngIf="participant.id != user.id">
          <span style="font-weight: bold">{{participant.nom}}</span> (<span style="font-style: italic">{{participant.arrivee_lieu}}</span> )<span *ngIf="!isLast">, </span>
        </span>
      </span>
    </span>
    <mat-divider></mat-divider>
  </div>

  <div class="form__container" *ngIf="user.participation_covoit_retour == 1">
    <span class="form__libelle" [class.red-color]='participants_retour.length > places_retour' [class.green-color]='participants_retour.length <= places_retour'>Places de voiture pour le covoit retour </span>
    <span class="form__field" [class.red-color]='participants_retour.length > places_retour' [class.green-color]='participants_retour.length <= places_retour'>
      {{places_retour}} places
      <span *ngIf="participants_retour.length > places_retour">
          ({{participants_retour.length}} participants)
      </span>
    </span>
    <mat-divider></mat-divider>
  </div>

  <div style="font-size: 150%; text-align: center; font-weight: bold; margin-bottom: 5px; margin-top: 20px;">Places de voiture</div>
  <div class="form__container" *ngIf="user.semaine == 1 || user.semaine == 0">
    <span class="form__libelle" [class.red-color]='nb_personnes_semaine_1 > places_semaine_1' [class.green-color]='nb_personnes_semaine_1 <= places_semaine_1'>Places de voiture pour la première semaine </span>
    <span class="form__field" [class.red-color]='nb_personnes_semaine_1 > places_semaine_1' [class.green-color]='nb_personnes_semaine_1 <= places_semaine_1'>
      {{places_semaine_1}} places
      <span *ngIf="nb_personnes_semaine_1 > places_semaine_1">
          ({{nb_personnes_semaine_1}} participants)
      </span>
    </span>
    <mat-divider></mat-divider>
  </div>

  <div class="form__container" *ngIf="user.semaine == 2 || user.semaine == 0">
    <span class="form__libelle" [class.red-color]='nb_personnes_semaine_2 > places_semaine_2' [class.green-color]='nb_personnes_semaine_2 <= places_semaine_2'>Places de voiture pour la deuxième semaine </span>
    <span class="form__field" [class.red-color]='nb_personnes_semaine_2 > places_semaine_2' [class.green-color]='nb_personnes_semaine_2 <= places_semaine_2'>
      {{places_semaine_2}} places
      <span *ngIf="nb_personnes_semaine_2 > places_semaine_2">
          ({{nb_personnes_semaine_2}} participants)
      </span>
    </span>
    <mat-divider></mat-divider>
  </div>


  <div style="margin-top: 50px; text-align: center;"><span style="font-size: 200%; font-weight: bold">INFOS SUR LES AUTRES</span><span (click)="afficherAutres = !afficherAutres" style="font-size: 100%; font-weight: normal; cursor: pointer; color: cornflowerblue"> {{afficherAutres ? 'Cacher' : 'Afficher'}}</span></div>
  <div class="table-scroll" *ngIf="afficherAutres">
    <table class="main-table clone" role="table">
      <thead role="rowgroup">
      <tr role="row">
        <th role="columnheader" class="fixed-side border-bottom">Nom</th>
        <th role="columnheader">Email</th>
        <th role="columnheader">Téléphone</th>
        <th role="columnheader">Nombre de jours</th>
        <th role="columnheader">Semaine</th>
        <th role="columnheader">Pars de</th>
        <th role="columnheader">Pars le</th>
        <th role="columnheader">Commentaire sur le trajet aller</th>
        <th role="columnheader">Rentre à</th>
        <th role="columnheader">Rentre le</th>
        <th role="columnheader">Commentaire sur le trajet retour</th>
        <th role="columnheader">Alcool (hors bières)</th>
        <th role="columnheader">Vegetarien</th>
        <th role="columnheader">Conducteur</th>
        <th role="columnheader">Nombre de places</th>
        <th role="columnheader">Nombres de places pour le covoit</th>
      </tr>
      </thead>
      <tbody role="rowgroup">
      <tr role="row" *ngFor="let user of users_list; let i = index">
        <td role="cell" [class.border-bottom]="users_list[i + 1] == null || user.semaine != users_list[i + 1 ].semaine" class="fixed-side">{{user.nom}}</td>
        <td role="cell">{{user.email}}</td>
        <td role="cell">{{user.telephone | telephone}}</td>
        <td role="cell">{{user.nb_jours * 1}}</td>
        <td role="cell">{{user.semaine == 0 ? 'Toutes' : ''}}{{user.semaine == 1 ? '1ère' : ''}}{{user.semaine == 2 ? '2ème' : ''}}</td>
        <td role="cell" class="mid-cell">{{user.arrivee_lieu}}</td>
        <td role="cell">{{user.arrivee_date}}</td>
        <td role="cell" class="large-cell">{{user.commentaire_aller == 'null' ? '' : user.commentaire_aller }}</td>
        <td role="cell" class="mid-cell">{{user.depart_lieu}}</td>
        <td role="cell">{{user.depart_date}}</td>
        <td role="cell" class="large-cell">{{user.commentaire_retour == 'null' ? '' : user.commentaire_retour }}</td>
        <td role="cell">{{1 == user.alcool ? '' : 'Non' }}</td>
        <td role="cell">{{1 == user.vegetarien ? 'Oui' : '' }}</td>
        <td role="cell">{{1 == user.conducteur ? 'Oui' : '' }}</td>
        <td role="cell">{{1 == user.conducteur ? user.nb_places : '' }}</td>
        <td role="cell">{{1 == user.conducteur ? user.nb_places_covoit : '' }}</td>
      </tr>

      </tbody>
    </table>

    <div class="table-wrap">
      <table id="user-table" class="main-table" role="table">
        <thead role="rowgroup">
        <tr role="row">
          <th role="columnheader" class="fixed-side border-bottom">Nom</th>
          <th role="columnheader" class="border-bottom">Email</th>
          <th role="columnheader" class="border-bottom">Téléphone</th>
          <th role="columnheader" class="border-bottom">Nombre de jours</th>
          <th role="columnheader" class="border-bottom">Semaine</th>
          <th role="columnheader" class="border-left border-bottom">Pars de</th>
          <th role="columnheader" class="border-bottom">Pars le</th>
          <th role="columnheader" class="border-bottom">Commentaire sur le trajet aller</th>
          <th role="columnheader" class="border-bottom border-left">Rentre à</th>
          <th role="columnheader" class="border-bottom">Rentre le</th>
          <th role="columnheader" class="border-bottom">Commentaire sur le trajet retour</th>
          <th role="columnheader" class="border-bottom border-left">Alcool (hors bières)</th>
          <th role="columnheader" class="border-bottom">Vegetarien</th>
          <th role="columnheader" class="border-bottom">Vacciné</th>
          <th role="columnheader" class="border-bottom border-left">Conducteur</th>
          <th role="columnheader" class="border-bottom">Nombre de places</th>
          <th role="columnheader" class="border-bottom">Nombres de places pour le covoit</th>
        </tr>
        </thead>
        <tbody role="rowgroup">
        <tr role="row" *ngFor="let user of users_list; let i = index">
          <td role="cell" class="fixed-side">{{user.nom}}</td>
          <td role="cell" [class.border-bottom]="users_list[i + 1] == null || user.semaine != users_list[i + 1 ].semaine">{{user.email}}</td>
          <td role="cell" [class.border-bottom]="users_list[i + 1] == null || user.semaine != users_list[i + 1 ].semaine">{{user.telephone | telephone}}</td>
          <td role="cell" [class.border-bottom]="users_list[i + 1] == null || user.semaine != users_list[i + 1 ].semaine">{{user.nb_jours * 1}}</td>
          <td role="cell" [class.border-bottom]="users_list[i + 1] == null || user.semaine != users_list[i + 1 ].semaine">{{user.semaine == 0 ? 'Toutes' : ''}}{{user.semaine == 1 ? '1ère' : ''}}{{user.semaine == 2 ? '2ème' : ''}}</td>
          <td role="cell" [class.border-bottom]="users_list[i + 1] == null || user.semaine != users_list[i + 1 ].semaine" class="mid-cell border-left">{{user.arrivee_lieu}}</td>
          <td role="cell" [class.border-bottom]="users_list[i + 1] == null || user.semaine != users_list[i + 1 ].semaine">{{user.arrivee_date}}</td>
          <td role="cell" [class.border-bottom]="users_list[i + 1] == null || user.semaine != users_list[i + 1 ].semaine" class="large-cell">{{user.commentaire_aller == 'null' ? '' : user.commentaire_aller }}</td>
          <td role="cell" [class.border-bottom]="users_list[i + 1] == null || user.semaine != users_list[i + 1 ].semaine" class="mid-cell border-left">{{user.depart_lieu}}</td>
          <td role="cell" [class.border-bottom]="users_list[i + 1] == null || user.semaine != users_list[i + 1 ].semaine">{{user.depart_date}}</td>
          <td role="cell" [class.border-bottom]="users_list[i + 1] == null || user.semaine != users_list[i + 1 ].semaine" class="large-cell">{{user.commentaire_retour == 'null' ? '' : user.commentaire_retour }}</td>
          <td role="cell" [class.border-bottom]="users_list[i + 1] == null || user.semaine != users_list[i + 1 ].semaine" class="border-left">{{1 == user.alcool ? '' : 'Non' }}</td>
          <td role="cell" [class.border-bottom]="users_list[i + 1] == null || user.semaine != users_list[i + 1 ].semaine">{{1 == user.vegetarien ? 'Oui' : '' }}</td>
          <td role="cell" [class.border-bottom]="users_list[i + 1] == null || user.semaine != users_list[i + 1 ].semaine">{{1 == user.pass_sanitaire ? 'Oui' : '' }}</td>
          <td role="cell" [class.border-bottom]="users_list[i + 1] == null || user.semaine != users_list[i + 1 ].semaine" class="border-left">{{1 == user.conducteur ? 'Oui' : '' }}</td>
          <td role="cell" [class.border-bottom]="users_list[i + 1] == null || user.semaine != users_list[i + 1 ].semaine">{{1 == user.conducteur ? user.nb_places : '' }}</td>
          <td role="cell" [class.border-bottom]="users_list[i + 1] == null || user.semaine != users_list[i + 1 ].semaine">{{1 == user.conducteur ? user.nb_places_covoit : '' }}</td>
        </tr>

        </tbody>
      </table>

    </div>
    <div style="margin-top: 50px; text-align: center;"><span style="font-size: 200%; font-weight: bold">Le nombre de personnes par semaine</span></div>
    <div class="form__container" style="margin-bottom: 0px; margin-top: 25px; font-style: italic">
      <span class="form__libelle">Nombre de personnes la première semaine</span>
      <span class="form__field">{{nb_semaine_1}}/12</span>
      <mat-divider></mat-divider>
    </div>
    <div class="form__container" style="margin-bottom: 25px; margin-top: 0px; font-style: italic">
      <span class="form__libelle">Nombre de personnes la deuxième semaine</span>
      <span class="form__field">{{nb_semaine_2}}/12</span>
      <mat-divider></mat-divider>
    </div>
  </div>


  <div style="margin-top: 50px; text-align: center;"><span style="font-size: 200%; font-weight: bold">PROGRAMME</span><span (click)="afficherProgramme = !afficherProgramme" style="font-size: 100%; font-weight: normal; cursor: pointer; color: cornflowerblue"> {{afficherProgramme ? 'Cacher' : 'Afficher'}}</span><span *ngIf="(user.account_role == 'admin' || user.account_role == 'editor') && afficherProgramme" (click)="editProgramme = !editProgramme" style="font-size: 100%; font-weight: normal; cursor: pointer; color: cornflowerblue"> Editer</span></div>
  <div class="table-scroll"  *ngIf="afficherProgramme">

    <div class="table-wrap no-background">
      <table class="main-table" role="table">
        <thead role="rowgroup">
        <tr role="row">
          <th role="columnheader" class="border-bottom">Jour</th>
          <th role="columnheader" class="border-bottom">Programme</th>
        </tr>
        </thead>
        <tbody role="rowgroup">

        <tr role="row" *ngFor="let jour of jours; let j = index">
          <td role="cell" [class.border-bottom]="j == 6">{{jour.libelle}}</td>
          <td role="cell" [class.border-bottom]="j == 6">
            <ng-container *ngFor="let programme of getProgrammeFromJour(jour.id)">
              <span *ngIf="!editProgramme">{{programme.libelle}}</span>
              <form *ngIf="(user.account_role == 'admin' || user.account_role == 'editor') && editProgramme" action="" style="width: 100%" >
                <textarea style="width: calc(100% - 50px)" name="programme_libelle" value="{{programme.libelle}}" required></textarea>
                <mat-icon class="material-icons-outlined" (click)="newProgramme(jour.id, $event)" style="cursor: pointer; padding: 5px; margin: 5px; color: white; background-color: black">arrow_forward</mat-icon>
              </form>
            </ng-container>
          </td>

        </tr>

        </tbody>
      </table>

    </div>

  </div>
  <div *ngIf="afficherProgramme">
    <div style="margin-bottom: 20px">
      <span style="margin-bottom: 20px">Suggestions de programme : </span>
      <span *ngFor="let suggestion of programmes_suggestions; last as isLast">{{suggestion.libelle}}<mat-icon *ngIf="user.account_role  == 'admin'" class="material-icons-outlined" (click)="deleteSuggestion(suggestion.id)" style="cursor: pointer; padding: 5px; margin: 5px; color: white; background-color: red">clear</mat-icon><span *ngIf="!isLast">, </span></span>
    </div>

    <form style="width: 100%">
      <span>Ajouter une suggestion : </span>
      <textarea style="width: calc(100% - 100px)" name="suggestion_libelle" required></textarea>
      <mat-icon class="material-icons-outlined" (click)="newSuggestion($event)" style="cursor: pointer; padding: 5px; margin: 5px; color: white; background-color: black">arrow_forward</mat-icon>
    </form>

  </div>

  <div style="margin-top: 50px; text-align: center;"><span style="font-size: 200%; font-weight: bold">CHAMBRES</span><span (click)="afficherChambres = !afficherChambres" style="font-size: 100%; font-weight: normal; cursor: pointer; color: cornflowerblue"> {{afficherChambres ? 'Cacher' : 'Afficher'}}</span><span *ngIf="user.account_role  == 'admin' && afficherChambres" (click)="editChambre = !editChambre" style="font-size: 100%; font-weight: normal; cursor: pointer; color: cornflowerblue"> Edit</span></div>
  <div class="table-scroll"  *ngIf="afficherChambres">
    <table class="main-table clone" role="table">
      <thead role="rowgroup">
      <tr role="row">
        <th role="columnheader" style="border-bottom: none" class="border-rigth fixed-side"></th>
        <th role="columnheader" colspan="9" class="border-rigth">1er étage</th>
        <th role="columnheader" colspan="10" class="border-rigth border-left">2ème étage</th>
      </tr>
      </thead>
      <tbody role="rowgroup">
      <tr role="row">
        <td role="columnheader" style="border-bottom: none; border-top: none" class="border-rigth fixed-side"></td>
        <td role="columnheader" colspan="4" class="border-rigth">1ère chambre à droite</td>
        <td role="columnheader" colspan="3" class="border-rigth">2ème chambre à droite</td>
        <td role="columnheader" colspan="2" class="border-rigth">chambre à gauche</td>
        <td role="columnheader" colspan="4" class="border-rigth border-left">1ère chambre à droite</td>
        <td role="columnheader" colspan="4" class="border-rigth">2ème chambre à droite</td>
        <td role="columnheader" colspan="2" class="border-rigth">chambre à gauche</td>
      </tr>
      <tr role="row">
        <td role="cell" style="border-top: none;" class="border-bottom border-rigth fixed-side"></td>
        <td role="cell" [class.border-left]="i == 9" class="border-bottom" *ngFor="let lit of lits; let i = index"  [class.border-rigth]="i == 3 || i == 6 || i == 8 || i == 12 || i == 16 || i == 18">{{lit.libelle}}</td>
      </tr>
      <tr role="row" *ngFor="let jour of jours; let j = index" style="background-color: white">
        <td role="cell" class="border-rigth fixed-side" [class.border-bottom]="j == 6">{{jour.libelle}}</td>
        <ng-container *ngFor="let lit of lits; let i = index">
          <td role="cell" [class.border-bottom]="j == 6" [class.border-left]="i == 9" [class.border-rigth]="i == 3 || i == 6 || i == 8 || i == 12 || i == 16 || i == 18">
            <ng-container *ngFor="let userLit of getUserFromLits(jour.id, lit.id)">
              <span *ngIf="!editChambre" [class.green-color]="userLit.id_user == user.id">{{userLit.nom}}</span>
              <select *ngIf="user.account_role  == 'admin' && editChambre" (change)="onEditLit(jour.id, lit.id, userLit.id_user, $event.target.value)" [value]="userLit.id_user">
                <option value=""></option>
                <ng-container *ngFor="let userFromList of users_list">
                  <option *ngIf="userLit.id_user == userFromList.id" value="{{userFromList.id}}" selected="selected">
                    {{userFromList.nom}}
                  </option>
                  <option *ngIf="userLit.id_user != userFromList.id" value="{{userFromList.id}}">
                    {{userFromList.nom}}
                  </option>
                </ng-container>

              </select>
            </ng-container>
          </td>
        </ng-container>

      </tr>

      </tbody>
    </table>

    <div class="table-wrap">
      <table class="main-table" role="table">
        <thead role="rowgroup">
        <tr role="row">
          <th role="columnheader" style="border-bottom: none" class="border-rigth fixed-side"></th>
          <th role="columnheader" colspan="9" class="border-rigth">1er étage</th>
          <th role="columnheader" colspan="10" class="border-rigth border-left">2ème étage</th>
        </tr>
        </thead>
        <tbody role="rowgroup">
        <tr role="row" style="text-align: center; font-weight: bold">
          <td role="columnheader" style="border-bottom: none" class="border-rigth fixed-side"></td>
          <td role="columnheader" colspan="4" class="border-rigth">1ère chambre à droite</td>
          <td role="columnheader" colspan="3" class="border-rigth">2ème chambre à droite</td>
          <td role="columnheader" colspan="2" class="border-rigth">Chambre à gauche</td>
          <td role="columnheader" colspan="4" class="border-rigth border-left">1ère chambre à droite</td>
          <td role="columnheader" colspan="4" class="border-rigth">2ème chambre à droite</td>
          <td role="columnheader" colspan="2" class="border-rigth">Chambre à gauche</td>
        </tr>
        <tr role="row">
          <td role="cell" style="border-top: none;" class="border-bottom border-rigth fixed-side"></td>
          <td role="cell" [class.border-left]="i == 9" class="border-bottom" *ngFor="let lit of lits; let i = index"  [class.border-rigth]="i == 3 || i == 6 || i == 8 || i == 12 || i == 16 || i == 18">{{lit.libelle}}</td>
        </tr>
        <tr role="row" *ngFor="let jour of jours; let j = index" style="background-color: white">
          <td role="cell" class="border-rigth fixed-side" [class.border-bottom]="j == 6">{{jour.libelle}}</td>
          <ng-container *ngFor="let lit of lits; let i = index">
            <td role="cell" [class.border-bottom]="j == 6" [class.border-left]="i == 9" [class.border-rigth]="i == 3 || i == 6 || i == 8 || i == 12 || i == 16 || i == 18">
              <ng-container *ngFor="let userLit of getUserFromLits(jour.id, lit.id)">
                <span *ngIf="!editChambre" [class.green-color]="userLit.id_user == user.id">{{userLit.nom}}</span>
                <select *ngIf="user.account_role  == 'admin' && editChambre" (change)="onEditLit(jour.id, lit.id, userLit.id_user, $event.target.value)" [value]="userLit.id_user">
                  <option value=""></option>
                  <ng-container *ngFor="let userFromList of users_list">
                    <option *ngIf="userLit.id_user == userFromList.id" value="{{userFromList.id}}" selected="selected">
                      {{userFromList.nom}}
                    </option>
                    <option *ngIf="userLit.id_user != userFromList.id" value="{{userFromList.id}}">
                      {{userFromList.nom}}
                    </option>
                  </ng-container>

                </select>
              </ng-container>
            </td>
          </ng-container>

        </tr>

        </tbody>
      </table>

    </div>

  </div>

  <div style="margin-top: 50px; text-align: center;"><span style="font-size: 200%; font-weight: bold">MENUS</span><span (click)="afficherMenus = !afficherMenus" style="font-size: 100%; font-weight: normal; cursor: pointer; color: cornflowerblue"> {{afficherMenus ? 'Cacher' : 'Afficher'}}</span></div>
  <div class="table-scroll"  *ngIf="afficherMenus">


    <div class="table-wrap no-background">
      <table>
        <thead>
        <tr>
          <th>Petits déjeuners (14)</th>
          <th>Midis (14, en rando ou au chalet)</th>
          <th>Jours</th>
          <th>Soirs (14)</th>
          <th>Pour les randos</th>
          <th>Desserts</th>
        </tr>
        </thead>
        <tbody>
        <tr>
          <td>Oeufs</td>
          <td>Sandwichs</td>
          <td>1 - Samedi</td>
          <td>Tartes</td>
          <td>Barres de céréales</td>
          <td>Fruits (pommes, melons, pêches, nectarines (jaunes) pastèques, etc.)</td>
        </tr>
        <tr>
          <td>Bacon</td>
          <td>Salades de riz/pâtes/crudités</td>
          <td>1 - Dimanche</td>
          <td>Riz au curry (Poulet ou carottes)</td>
          <td>Biscuits</td>
          <td>Yaourts</td>
        </tr>
        <tr>
          <td>Pain de mie</td>
          <td>Tartes</td>
          <td>1 - Lundi</td>
          <td>Lasagnes (courgettes ou viande)</td>
          <td>Fruits secs</td>
          <td>Crèmes dessert</td>
        </tr>
        <tr>
          <td>Lait</td>
          <td></td>
          <td>1 - Mardi</td>
          <td>Risotto aux cepes + Poulet du marché</td>
          <td></td>
          <td>Tartes</td>
        </tr>
        <tr>
          <td>Jus de fruits</td>
          <td></td>
          <td>1 - Mercredi</td>
          <td>Barbecue</td>
          <td></td>
          <td>Fromages</td>
        </tr>
        <tr>
          <td>Chocolat en poudre</td>
          <td></td>
          <td>1 - Jeudi</td>
          <td>Gratin de courgettes</td>
          <td></td>
          <td>Crumble</td>
        </tr>
        <tr>
          <td>Pains au chocolat</td>
          <td></td>
          <td class="border-bottom">1 - Vendredi</td>
          <td class="border-bottom">Raclette</td>
          <td></td>
          <td>Tablette de chocolat (90%)</td>
        </tr>
        <tr>
          <td>Confiture</td>
          <td></td>
          <td>2 - Samedi</td>
          <td>Pates</td>
          <td></td>
          <td></td>
        </tr>
        <tr>
          <td>Pâte à tartiner</td>
          <td></td>
          <td>2 - Dimanche</td>
          <td>Fajitas</td>
          <td></td>
          <td></td>
        </tr>
        <tr>
          <td>Beurre</td>
          <td></td>
          <td>2 - Lundi</td>
          <td>Purée saucisses ou tartes</td>
          <td></td>
          <td></td>
        </tr>
        <tr>
          <td>Café</td>
          <td></td>
          <td>2 - Mardi</td>
          <td>Pizzas</td>
          <td></td>
          <td></td>
        </tr>
        <tr>
          <td>Thé</td>
          <td></td>
          <td>2 - Mercredi</td>
          <td>Pates carbos ou pesto ou saumon</td>
          <td></td>
          <td></td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td>2 - Jeudi</td>
          <td>Barbecue</td>
          <td></td>
          <td></td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td>2 - Vendredi</td>
          <td>Restes</td>
          <td></td>
          <td></td>
        </tr>
        </tbody>
      </table>
    </div>

  </div>

  <div style="margin-top: 50px; text-align: center;"><span style="font-size: 200%; font-weight: bold">MATÉRIEL À AMENER</span><span (click)="afficherMateriel = !afficherMateriel" style="font-size: 100%; font-weight: normal; cursor: pointer; color: cornflowerblue"> {{afficherMateriel ? 'Cacher' : 'Afficher'}}</span></div>
  <div *ngIf="afficherMateriel" style="text-align: center">
    <span class="red-color" style="font-weight: bold">Il peut faire très froid, merci de prendre en considération les vêtements chauds.</span>
  </div>
  <div class="table-scroll"  *ngIf="afficherMateriel">


    <div class="table-wrap no-background">
      <table>
        <thead>
        <tr>
          <th>Pour la rando</th>
          <th>Pour tous les jours</th>
          <th>A prendre en commun</th>
          <th>A acheter en commun</th>
          <th>A acheter en commun par chambre</th>
        </tr>
        </thead>
        <tbody>

        <tr>
          <td>Shorts de rando</td>
          <td>T-sheart</td>
          <td>Torchons</td>
          <td>Papier alu</td>
          <td>Savon pour les nains</td>
        </tr>
        <tr>
          <td>T-shirts de rando</td>
          <td>Shorts</td>
          <td>Cocotte</td>
          <td>Papier cuisson</td>
          <td>PQ</td>
        </tr>
        <tr>
          <td>Survet/pantalon de rando</td>
          <td>Jeans</td>
          <td>Plat pour le four</td>
          <td>Pastilles vaisselle</td>
          <td>Gel douchebag</td>
        </tr>
        <tr>
          <td>Chaussettes de rando</td>
          <td>Pulls</td>
          <td>Passoir</td>
          <td>Lassive</td>
          <td>Shampoing</td>
        </tr>
        <tr>
          <td>Pulls</td>
          <td>Veste chaude</td>
          <td></td>
          <td>Eponges</td>
          <td>Dentifrice</td>
        </tr>
        <tr>
          <td>Veste chaude</td>
          <td>Sous vetements</td>
          <td></td>
          <td>Liquide vaisselle</td>
          <td></td>
        </tr>
        <tr>
          <td>Veste très chaude</td>
          <td>Draps, taies d’ore-yeah</td>
          <td></td>
          <td>Sopalin</td>
          <td></td>
        </tr>
        <tr>
          <td>Kaway</td>
          <td>Serviette de douche</td>
          <td></td>
          <td></td>
          <td></td>
        </tr>
        <tr>
          <td>Echarpe</td>
          <td>Serviette de bain</td>
          <td></td>
          <td></td>
          <td></td>
        </tr>
        <tr>
          <td>Bonnet</td>
          <td>Boules de pé-tank</td>
          <td></td>
          <td></td>
          <td></td>
        </tr>
        <tr>
          <td>Gants</td>
          <td>Déo/parfum</td>
          <td></td>
          <td></td>
          <td></td>
        </tr>
        <tr>
          <td>Chaussures de marche</td>
          <td>Chéquier (juste pour le Chef)</td>
          <td></td>
          <td></td>
          <td></td>
        </tr>
        <tr>
          <td>Gourdes</td>
          <td>Jeux de société</td>
          <td></td>
          <td></td>
          <td></td>
        </tr>
        <tr>
          <td>Sac de rando</td>
          <td>Génépi (juste pour le Chef)</td>
          <td></td>
          <td></td>
          <td></td>
        </tr>
        <tr>
          <td>Tupperware</td>
          <td>Maillot de bain</td>
          <td></td>
          <td></td>
          <td></td>
        </tr>
        <tr>
          <td>Crème sol-R</td>
          <td>Enceintes (juste pour le Chef)</td>
          <td></td>
          <td></td>
          <td></td>
        </tr>
        <tr>
          <td>Lunettes de soleil</td>
          <td></td>
          <td></td>
          <td></td>
          <td></td>
        </tr>
        <tr>
          <td>Casquette</td>
          <td></td>
          <td></td>
          <td></td>
          <td></td>
        </tr>
        <tr>
          <td>Pansements</td>
          <td></td>
          <td></td>
          <td></td>
          <td></td>
        </tr>
        <tr>
          <td>Jumelles</td>
          <td></td>
          <td></td>
          <td></td>
          <td></td>
        </tr>
        <tr>
          <td>Lampes frontales/torsales</td>
          <td></td>
          <td></td>
          <td></td>
          <td></td>
        </tr>
        <tr>
          <td>Lampes normales</td>
          <td></td>
          <td></td>
          <td></td>
          <td></td>
        </tr>
        <tr>
          <td>Crème après soleil</td>
          <td></td>
          <td></td>
          <td></td>
          <td></td>
        </tr>
        <tr>
          <td>Piles pour les lampes</td>
          <td></td>
          <td></td>
          <td></td>
          <td></td>
        </tr>
        <tr>
          <td>boussole</td>
          <td></td>
          <td></td>
          <td></td>
          <td></td>
        </tr>
        <tr>
          <td>Sifflet d&#39;alerte</td>
          <td></td>
          <td></td>
          <td></td>
          <td></td>
        </tr>
        <tr>
          <td>Kit premiers secours</td>
          <td></td>
          <td></td>
          <td></td>
          <td></td>
        </tr>
        </tbody>
      </table>
    </div>

  </div>

  <div *ngIf="user.account_role  == 'admin'" style="margin-top: 50px; text-align: center;"><span style="font-size: 200%; font-weight: bold">ADMINISTRATION</span><span (click)="afficherAdmin = !afficherAdmin" style="font-size: 100%; font-weight: normal; cursor: pointer; color: cornflowerblue"> {{afficherAdmin ? 'Cacher' : 'Afficher'}}</span></div>
  <span *ngIf="user.account_role  == 'admin' && afficherAdmin" style="cursor: pointer;" (click)="refreshAllUsers()" >Refresh all users <mat-icon class="material-icons-outlined" style="cursor: pointer; padding: 5px; margin: 5px; color: white; background-color: black">restart_alt</mat-icon></span>
  <span *ngIf="user.account_role  == 'admin' && afficherAdmin" style="cursor: pointer;" (click)="sendEmails()" >Send emails <mat-icon class="material-icons-outlined" style="cursor: pointer; padding: 5px; margin: 5px; color: white; background-color: black">restart_alt</mat-icon></span>
  <div *ngIf="user.account_role  == 'admin' && afficherAdmin">
    <div id="table-scroll" class="table-scroll">
      <table class="main-table clone" role="table">
        <thead role="rowgroup">
        <tr role="row">
          <th role="columnheader" class="fixed-side">Nom</th>
          <th role="columnheader">Montant à demander</th>
          <th role="columnheader">Montant payé</th>
          <th role="columnheader">Montant en attente de paiement</th>
          <th role="columnheader">Montant en attente de demande</th>
          <th role="columnheader">Paiements</th>
        </tr>
        </thead>
        <tbody role="rowgroup">
        <tr role="row" *ngFor="let user of users_list">
          <td role="cell" class="fixed-side">{{user.nom}}</td>
          <td role="cell">{{user.montant_a_demander}}</td>
          <td role="cell">{{user.montant_paye}}</td>
          <td role="cell">{{user.montant_en_attente_a_payer}}</td>
          <td role="cell">{{user.montant_en_attente}}</td>
          <td role="cell">
            <form action="" style="width: 200px" >
              <input type="number" style="width: 100px; margin: 0; float: none" class="form__field" name="montant" value="{{user.montant_en_attente}}" required />
              <mat-icon class="material-icons-outlined" (click)="demandeNewCustom(user.id, $event)" style="cursor: pointer; padding: 5px; margin: 5px; color: white; background-color: black">arrow_forward</mat-icon>
            </form>
          </td>

          <td role="cell" *ngFor="let paiement of user.paiements" style="padding-right: 0; min-width: 200px">
            <span *ngIf="paiement.paye == 1" style="color: green">{{paiement.montant}}<mat-icon class="material-icons-outlined" (click)="delete(paiement.id, user.id)" style="cursor: pointer; padding: 5px; margin: 5px; color: white; background-color: red">clear</mat-icon></span>
            <span *ngIf="paiement.paye == 0 && paiement.demande == 1" style="color: red">
            {{paiement.montant}}
              <mat-icon class="material-icons-outlined" (click)="paye(paiement.id, user.id)" style="cursor: pointer; padding: 5px; margin: 5px; color: white; background-color: green">done</mat-icon>
            <mat-icon class="material-icons-outlined" (click)="delete(paiement.id, user.id)" style="cursor: pointer; padding: 5px; margin: 5px; color: white; background-color: red">clear</mat-icon>
          </span>
            <span *ngIf="paiement.paye == 0 && paiement.demande == 0">
            {{paiement.montant}}
              <mat-icon class="material-icons-outlined" (click)="demande(paiement.id, user.id)" style="cursor: pointer; padding: 5px; margin: 5px; color: white; background-color: green">done</mat-icon>
            <mat-icon class="material-icons-outlined" (click)="delete(paiement.id, user.id)" style="cursor: pointer; padding: 5px; margin: 5px; color: white; background-color: red">clear</mat-icon>
          </span>

          </td>
        </tr>

        </tbody>
      </table>

      <div class="table-wrap">
        <table class="main-table" role="table">
          <thead role="rowgroup">
          <tr role="row">
            <th role="columnheader" class="fixed-side">Nom</th>
            <th role="columnheader">Montant à demander</th>
            <th role="columnheader">Montant payé</th>
            <th role="columnheader">Montant en attente de paiement</th>
            <th role="columnheader">Montant en attente de demande</th>
            <th role="columnheader">Paiements</th>
          </tr>
          </thead>
          <tbody role="rowgroup">
          <tr role="row" *ngFor="let user of users_list">
            <td role="cell" class="fixed-side">{{user.nom}}</td>
            <td role="cell">{{user.montant_a_demander}}</td>
            <td role="cell">{{user.montant_paye}}</td>
            <td role="cell">{{user.montant_en_attente_a_payer}}</td>
            <td role="cell">{{user.montant_en_attente}}</td>
            <td role="cell">
              <form action="" style="width: 200px" >
                <input type="input" style="width: 100px; margin: 0; float: none" class="form__field" name="montant" value="{{user.montant_en_attente}}" required />
                <mat-icon class="material-icons-outlined" (click)="demandeNewCustom(user.id, $event)" style="cursor: pointer; padding: 5px; margin: 5px; color: white; background-color: black">arrow_forward</mat-icon>
              </form>
            </td>

            <td role="cell" *ngFor="let paiement of user.paiements" style="padding-right: 0; min-width: 200px">
              <span *ngIf="paiement.paye == 1" style="color: green">{{paiement.montant}}<mat-icon class="material-icons-outlined" (click)="delete(paiement.id, user.id)" style="cursor: pointer; padding: 5px; margin: 5px; color: white; background-color: red">clear</mat-icon></span>
              <span *ngIf="paiement.paye == 0 && paiement.demande == 1" style="color: red">
            {{paiement.montant}}
                <mat-icon class="material-icons-outlined" (click)="paye(paiement.id, user.id)" style="cursor: pointer; padding: 5px; margin: 5px; color: white; background-color: green">done</mat-icon>
            <mat-icon class="material-icons-outlined" (click)="delete(paiement.id, user.id)" style="cursor: pointer; padding: 5px; margin: 5px; color: white; background-color: red">clear</mat-icon>
          </span>
              <span *ngIf="paiement.paye == 0 && paiement.demande == 0">
            {{paiement.montant}}
                <mat-icon class="material-icons-outlined" (click)="demande(paiement.id, user.id)" style="cursor: pointer; padding: 5px; margin: 5px; color: white; background-color: green">done</mat-icon>
            <mat-icon class="material-icons-outlined" (click)="delete(paiement.id, user.id)" style="cursor: pointer; padding: 5px; margin: 5px; color: white; background-color: red">clear</mat-icon>
          </span>

            </td>
          </tr>

          </tbody>
        </table>

      </div>

    </div>
    </div>
</ng-template>
